# OthelloRuby

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'othello_ruby'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install othello_ruby

## Usage

othello format
```ruby
    a   b   c   d   e   f   g   h
  +---+---+---+---+---+---+---+---+
1 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
2 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
3 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
4 |   |   |   | 0 | 1 |   |   |   |
  +---+---+---+---+---+---+---+---+
5 |   |   |   | 1 | 0 |   |   |   |
  +---+---+---+---+---+---+---+---+
6 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
7 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
8 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
```

initialize
```ruby
@bord  = OthelloRuby::Game::Bord.new(first_move_color: "#{color1}", passive_move_color: "#{color2}" )
@user1 = OthelloRuby::Game::User.new("#{color1}")
@user2 = OthelloRuby::Game::User.new("#{color2}")
```

game
```ruby
@user1.set(@bord, "3d")
puts @bord.show #=>
    a   b   c   d   e   f   g   h
  +---+---+---+---+---+---+---+---+
1 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
2 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
3 |   |   |   | 1 |   |   |   |   |
  +---+---+---+---+---+---+---+---+
4 |   |   |   | 1 | 1 |   |   |   |
  +---+---+---+---+---+---+---+---+
5 |   |   |   | 1 | 0 |   |   |   |
  +---+---+---+---+---+---+---+---+
6 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
7 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+
8 |   |   |   |   |   |   |   |   |
  +---+---+---+---+---+---+---+---+ 
@user1.count(@bord) #=> 4 
```

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/g-ken/othello_ruby. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the OthelloRuby project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/othello_ruby/blob/master/CODE_OF_CONDUCT.md).
